# Class StandardConstants

java.lang.Object
javax.net.ssl.StandardConstants

public final class StandardConstants extends Object
Standard constants definitions

Since:
  1.8

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`SNI_HOST_NAME`
The "host_name" type representing of a DNS hostname (see `SNIHostName`) in a Server Name Indication (SNI) extension.

## Method Summary

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Field Details

### SNI_HOST_NAME

public static final int SNI_HOST_NAME
The "host_name" type representing of a DNS hostname (see `SNIHostName`) in a Server Name Indication (SNI) extension.

The SNI extension is a feature that extends the SSL/TLS protocols to indicate what server name the client is attempting to connect to during handshaking. See section 3, "Server Name Indication", of TLS Extensions (RFC 6066).

The value of this constant is 0.

External Specifications
  - RFC 6066: Transport Layer Security (TLS) Extensions: Extension Definitions
See Also:
  - `SNIServerName`
  - `SNIHostName`
  - Constant Field Values